---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: tautulli
spec:
  selector:
    matchLabels:
      container: tautulli
  template:
    metadata:
      labels:
        container: tautulli
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: PGID
          value: '1000'
        - name: PUID
          value: '1000'
        - name: TZ
          value: UTC
        image: lscr.io/linuxserver/tautulli:2.15.1
        name: tautulli
        volumeMounts:
        - mountPath: /config
          name: longhorn-own-data
          subPath: data/config
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

